---
title: 'SpeechRecognition: audiostart event'
slug: Web/API/SpeechRecognition/audiostart_event
tags:
  - Event
  - Reference
  - SpeechRecognition
  - Web Speech API
  - audiostart
  - onaudiostart
---
<div>{{APIRef("Web Speech API")}} {{SeeCompatTable}}</div>

<div>
<p>The <code><strong>audiostart</strong></code> event of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> is fired when the user agent has started to capture audio for speech recognition.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td>{{domxref("SpeechRecognition/onaudiostart", "onaudiostart")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>audiostart</code> event in an {{domxref("SpeechRecognition/onaudiostart", "onaudiostart")}} method:</p>

<pre class="brush: js">var recognition = new webkitSpeechRecognition() || new SpeechRecognition();

recognition.addEventListener('audiostart', function() {
  console.log('Audio capturing started');
});</pre>

<p>Or use the <a href="/en-US/docs/Web/API/SpeechRecognition/onaudiostart">onaudiostart</a> event handler property:</p>

<pre class="brush: js">recognition.onaudiostart = function() {
  console.log('Audio capturing started');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#speechreco-events', 'speech recognition events')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.audiostart_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
 <li>{{domxref("SpeechRecognition/onaudiostart", "onaudiostart")}} event handler property</li>
</ul>
